package myclasses;

public class Library extends OrganizationalUnit {
	private int numberOfBooks;

	public Library(int numberOfEmployees, int numberOfBooks) {
		super("Konyvtar", numberOfEmployees);
		this.numberOfBooks = numberOfBooks;
	}

	@Override
	public double workPerEmployee() {
		return numberOfBooks / getNumberOfEmployees();
	}
	
	@Override
	public String toString() {
		return "Library [numberOfBooks=" + numberOfBooks + ", workPerEmployee()=" + 
				workPerEmployee() + ", toString()="	+ super.toString() + "]";
	}

	public int getNumberOfBooks() {
		return numberOfBooks;
	}

	public void setNumberOfBooks(int numberOfBooks) {
		this.numberOfBooks = numberOfBooks;
	}
	
}
