package negyedik;



public class LinearPolynomial implements Polynomial {
	double a;
	double b;
	final static int degree = 1;
	
	public LinearPolynomial(double a, double b) {
		super();
		this.a = a;
		this.b = b;
	}

	/*  Elsőfokú polinom y=ax+b  */
	@Override
	public double calculate(double x) {
		return (a*x+b);
	}

	public double calculateSolution() {
		return -b/a;
	}
	
	@Override
	public int getDegree() {
		return degree;
	}

	@Override
	public String toString() {
		return "y = "+a+"x + ("+b+")";
	}
}
