package kivetel;

public class Bankszamla {
	private int bankszamlaSzam;
	private int egyenleg;
	
	public Bankszamla(int bankszamlaSzam) {
		super();
		this.bankszamlaSzam = bankszamlaSzam;
		this.egyenleg = 0;
	}

	public int getBankszamlaSzam() {
		return bankszamlaSzam;
	}

	public void setBankszamlaSzam(int bankszamlaSzam) {
		this.bankszamlaSzam = bankszamlaSzam;
	}

	public int getEgyenleg() {
		return egyenleg;
	}

	public void setEgyenleg(int egyenleg) {
		this.egyenleg = egyenleg;
	}
	
	
	public void penzBetet(int osszeg) {
		this.egyenleg += osszeg;
	}
	
	public void penzKivet(int osszeg) throws InsufficientFundsException {
		if(osszeg > egyenleg)
			throw new InsufficientFundsException(osszeg-egyenleg);
		else 
			this.egyenleg -= osszeg;
	}
	
}