package alkalmazott;

public class Alkalmazott {
	private String nev;
	private int kor;
	private int fizetes;
	private static int nyugKorhatar = 65;

	public Alkalmazott(String nev, int kor, int fizetes) {
		super();
		this.nev = nev;
		this.kor = kor;
		this.fizetes = fizetes;
	}

	public Alkalmazott(String nev, int kor) {
		this(nev, kor, 10000 * kor);
	}

	public int getEvekNyugdijig() {
		return Alkalmazott.nyugKorhatar - this.kor;
	}

	@Override
	public String toString() {
		return "nev=" + nev + " kor=" + kor + " fizetes=" + fizetes + " evekNyudijig=" + getEvekNyugdijig();
	}

	public Alkalmazott tobbEvNyugdijig(Alkalmazott egyik, Alkalmazott masik) {
		if (egyik.getEvekNyugdijig() > masik.getEvekNyugdijig())
			return egyik;
		else
			return masik;
	}

	public static void setNyugKorhatar(int hatar) {
		nyugKorhatar = hatar;
	}
}