package alkalmazott;

import java.util.Arrays;
import java.util.Scanner;

public class Fut {
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		int alkSzama = 0;

		System.out.println("Krem az alkalmazottak szmt: ");
		alkSzama = sc.nextInt();

		Alkalmazott[] alkArray = new Alkalmazott[alkSzama];

		for (int i = 0; i < alkArray.length; i++) {
			System.out.println("Krem az " + i + ". alkalmazott nevt: ");
			String name = sc.next();

			System.out.println("Krem az " + i + ". alkalmazott kort: ");
			int age = sc.nextInt();

			System.out.println("Krem az " + i + ". alkalmazott fizetst: ");
			int payment = sc.nextInt();

			alkArray[i] = new Alkalmazott(name, age, payment);
		}
		sc.close();

		System.out.println("");

		for (Alkalmazott a : alkArray) {
			System.out.println(a.toString());
		}
		
		System.out.println("");
		Alkalmazott.setNyugKorhatar(55);
		for (Alkalmazott a : alkArray) {
			System.out.println(a.toString());
		}

		System.out.println("\n5 evnel kevesebb van hatra nyugdijig: ");

		boolean vanE = false;
		for (Alkalmazott a : alkArray) {
			if (a.getEvekNyugdijig() < 5 && a.getEvekNyugdijig() > 0) {
				vanE = true;
				System.out.println(a.toString());
			}
		}
		if (vanE == false)
			System.out.println("Nincs ilyen alkalmazott.");

		System.out.println("\ntalgnl tbb v van htra a nyugdjig: ");
		double nyugAtlag = 0;
		int nyugSzum = 0;
		for (Alkalmazott a : alkArray) {
			nyugSzum += a.getEvekNyugdijig();
		}
		nyugAtlag = nyugSzum / alkArray.length;
		System.out.println("Nyugdj tlag: " + nyugAtlag);

		for (Alkalmazott a : alkArray) {
			if (a.getEvekNyugdijig() > nyugAtlag)
				System.out.println(a.toString());
		}

		System.out.println("Nvekv sorrendben:");
		sortEmployeeArray(alkArray);

		for (Alkalmazott a : alkArray)
			System.out.println(a.toString());

	}

	private static void sortEmployeeArray(Alkalmazott[] employeeArray) {
		for (int i = 0; i < employeeArray.length; i++) {
			int minIndex = i;
			for (int j = i + 1; j < employeeArray.length; j++) {
				if (employeeArray[j].getEvekNyugdijig() < employeeArray[minIndex].getEvekNyugdijig()) {
					minIndex = j;
				}
			}

			// Helycsere, ha szksges
			if (minIndex != i) {
				Alkalmazott tmp = employeeArray[i];
				employeeArray[i] = employeeArray[minIndex];
				employeeArray[minIndex] = tmp;
			}
		}

	}

}