package mypackage;

import java.util.Arrays;
import java.util.Comparator;
import comparators.*;

public class Test {

	public static void main(String[] args) {
	
		Employee[] empArray = new UniEmployee[5];
		
		empArray[0] = new UniEmployee("Tomi", 30, "ME", Position.OKTATO);
		empArray[1] = new UniEmployee("Laci", 55, "ME", Position.PROF);
		empArray[2] = new UniEmployee("Miki", 50, "ME", Position.OKTATO);
		empArray[3] = new UniEmployee("Erika", 40, "ME", Position.OKTATO);
		empArray[4] = new UniEmployee("Monika", 45, "ME", Position.ADMIN);
		
		listArray(empArray);
		
		Arrays.sort(empArray, new Employee.AgeSorter());	
		System.out.println();
		listArray(empArray);
		
		Arrays.sort(empArray, new Employee.SalarySorter());	
		System.out.println();
		listArray(empArray);
	
		
		Employee[] empcompArray = new UniEmployeeComp[5];
		empcompArray[0] = new UniEmployeeComp("Tomi", 30, "ME", Position.OKTATO);
		empcompArray[1] = new UniEmployeeComp("Laci", 55, "ME", Position.PROF);
		empcompArray[2] = new UniEmployeeComp("Miki", 50, "ME", Position.OKTATO);
		empcompArray[3] = new UniEmployeeComp("Erika", 40, "ME", Position.OKTATO);
		empcompArray[4] = new UniEmployeeComp("Monika", 45, "ME", Position.ADMIN);

		Arrays.sort(empcompArray);
		listArray(empcompArray);
		
		
		//Életkor szerint növekvő rendezés Java 8
		System.out.println();
		Arrays.sort(empArray, Comparator.comparing(Person::getAge));
		listArray(empArray);
		
		System.out.println();
		statistics(empArray);
		
		
		
		
		
		
//		/***************************************************
//		  Tömb rendezése Java8 Comparator használatával
//		***************************************************/
//		
//		//Életkor szerint növekvő rendezés
//		Arrays.sort(empArray, Comparator.comparing(Person::getAge));
//		listArray(empArray);
//		
//		//Életkor szerint csökkenő rendezés
//		Comparator<Employee> empComparatorByAge = Comparator.comparing(Person::getAge);
//		Arrays.sort(empArray, empComparatorByAge.reversed());
//		listArray(empArray);
//				
//		//Fizetés, majd névsor szerint rendezés
//		Arrays.sort(empArray, Comparator.comparing(Employee::getSalary)
//					.thenComparing(Person::getName));
//		listArray(empArray);
//		

		
	}

	public static void listArray(Employee[] empArray) {
		for(Employee e : empArray) {
			System.out.println(e);
		}
		System.out.println();
	}
	
	private static void statistics(Employee[] empArray) {
		next:
		for (int i=0; i<empArray.length; i++) {
			Position position = ((UniEmployee)empArray[i]).getPosition();
			for (int j=0; j<i; j++) {
				//Ha ezt a beosztást már számbavettük, akkor átugorjuk
				if (((UniEmployee)empArray[j]).getPosition() == position)
					continue next;
			}
			//Ha ez a beosztás első előfordulása
			System.out.print(((UniEmployee)empArray[i]).getPosition() + ": ");
			int counter = 1;
			for (int j=i+1; j<empArray.length; j++) {
				if (((UniEmployee)empArray[i]).getPosition() == ((UniEmployee)empArray[j]).getPosition()) {
					counter++;
				}
			}
			System.out.println(counter);
		}
		System.out.println();
	}
	
}
