package myclasses;

public abstract class OrganizationalUnit {
	private String name;
	private int numberOfEmployees;
	
	public OrganizationalUnit(String name, int numberOfEmployees) {
		super();
		this.name = name;
		this.numberOfEmployees = numberOfEmployees;
	}

	public abstract double workPerEmployee();
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getNumberOfEmployees() {
		return numberOfEmployees;
	}
	public void setNumberOfEmployees(int numberOfEmployees) {
		this.numberOfEmployees = numberOfEmployees;
	}
	
	@Override
	public String toString() {
		return "OrganizationalUnit [name=" + name + ", numberOfEmployees=" + numberOfEmployees + "]";
	}
	
}
