package elso;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Scanner;


public class WeightCalculator {

	public static void main(String[] args) {
		
		int earthWeight = readInt();
		double mass = earthWeight/Planet.EARTH.surfaceGravity();
        for (Planet p : Planet.values()) {
           System.out.printf("Your weight on %s is %f%n",
                             p, p.surfaceWeight(mass));
        }
          
	}
	
	public static int readInt() {
		Scanner input = new Scanner(System.in);
		int number;
		
		do {
			System.out.println("Enter your weight");
			while (!input.hasNextInt()) {
				System.out.println("That's not a number");
				input.nextLine();
			}
			number = input.nextInt();
		} while (number < 1 || number > 175);
		
		return number;
	}

}
