package masodik;

public class Runnable {

	public static void main(String[] args) {
		//Elsőfokú egyenlet létrehozása
		Function.LinearFunction linearFunction = new 
				Function.LinearFunction(4,5);
        
		//Elsőfokú egyenlet megoldó létrehozása
		FunctionSolver functionSolver = new FunctionSolver();
        FunctionSolver.LinearFunctionSolver linearFunctionSolver = 
        	functionSolver.new LinearFunctionSolver(linearFunction);
     
        System.out.println(linearFunctionSolver.getResult());

        //Másodfokú egyenlet létrehozása
      	Function.QuadraticFunction quadraticFunction = 
      			new Function.QuadraticFunction(4,5,0);
              
      	//Másodfokú egyenlet megoldó létrehozása
      	//FunctionSolver functionSolver = new FunctionSolver();
        FunctionSolver.QuadraticFunctionSolver quadraticFunctionSolver = 
              functionSolver.new QuadraticFunctionSolver(quadraticFunction);
        
        if (quadraticFunctionSolver.isSolvable()) {
        	System.out.println(quadraticFunctionSolver.getResultPlus());
        	System.out.println(quadraticFunctionSolver.getResultMinus());
        }
        else
        	System.out.println("Nincs valós megoldás");
	}

}
