package negyedik;

import java.util.Scanner;


public class Main {

	public static void main(String[] args) {
		
		//Elsőfokú polinomos feladat
		/*
		Polynomial[] linPArray = new LinearPolynomial[5];
		for (int i=0; i < linPArray.length; i++) {
			linPArray[i] = new LinearPolynomial(i+1, i+3);
		}
		for (Polynomial polynomial : linPArray) {
			System.out.println(polynomial);
		}
		drawTable(linPArray[linPArray.length-1]);
		*/
		
		//Másodfokú polinomos feladat
		Polynomial[] quadPArray = new Polynomial[5];
		for (int i=0; i<quadPArray.length; i++) {
			double a = readInt();
			double b = readInt();
			double c = readInt();
			if (a==0) {
				if (b==0) {
					if (c==0) 
						System.out.println("Nullpolinom");
					else
						System.out.println("Konstans polinom");
				}
				else {
					quadPArray[i] = new LinearPolynomial(b, c);
					System.out.println("Elsőfokú polinom");
				}
			}
			else {
				quadPArray[i] = new QuadraticPolynomial(a, b, c);
				System.out.println("Másodfokú polinom");
			}
		}
		/*
		quadPArray[0] = new QuadraticPolynomial(1, 4, 4); //D=0
		quadPArray[1] = new QuadraticPolynomial(1, 5, 4); //D>0
		quadPArray[2] = new QuadraticPolynomial(4, 2, 4); //D<0
		*/
		
		for (Polynomial polynomial : quadPArray) {
			System.out.println();
			if (polynomial instanceof QuadraticPolynomial) {
				System.out.println("Másodfokú polinom");
				System.out.println(polynomial);
				((QuadraticPolynomial) polynomial).calculateSolution();
			}
			else if (polynomial instanceof LinearPolynomial) {
				System.out.println("Elsőfokú polinom");
				System.out.println(polynomial);
				System.out.println("Megoldás: " + ((LinearPolynomial) polynomial).calculateSolution());
			}
			else
				System.out.println("Nincs értelmezve");
		}
		
	}
	
	public static void drawTable(Polynomial polynomial) {
		for (double i = 0; i <= 1; i +=0.1) {
			System.out.println("y= " + polynomial.calculate(i) + " x= " + i );
		}
	}

	public static int readInt() {
		Scanner input = new Scanner(System.in);
		int number;
		
		System.out.println("Enter a number");
		while (!input.hasNextInt()) {
			System.out.println("That's not a number");
			input.nextLine();
		}
		number = input.nextInt();
				
		return number;
	}
}
