package tomb;

public class Tomb {

	public static void main(String[] args) {
		int[] tomb = new int[10];
		
		
		for (int i = 0; i < tomb.length; i++) {
			tomb[i] = (int) ((Math.random() * 50)  + 1);
		}
		
		elemekKiir(tomb);
		System.out.println("A legnagyobb paros szam (for): " + legnagyobbParosFor(tomb));
		System.out.println("A legnagyobb paros szam (forEach): " + legnagyobbParosForEach(tomb));
		System.out.println("A negyzetszamok szama: " + negyzetszamokSzama(tomb));
		System.out.println("A mertani atlag: " + mertaniAtlag(tomb));
		
	}
	
	
	
	public static void elemekKiir(int[] tomb) {
		for (int i : tomb) {
			System.out.println(i);
		}
	}
	
	
	public static int legnagyobbParosFor(int[] tomb) {
		int max = tomb[0];
		
		for (int i = 0; i < tomb.length; i++) {
			if (tomb[i] % 2 == 0 && tomb[i] > max) {
				max = tomb[i];
			}
		}
		
		return max;
	}
	
	
	public static int legnagyobbParosForEach(int[] tomb) {
		int max = -1;
		
		for (int szam : tomb) {
			if (szam % 2 == 0 && szam > max) {
				max = szam;
			}
		}
		
		return max;
	}
	
	
	public static int negyzetszamokSzama(int[] tomb) {
		int db = 0;
		
		for (int szam : tomb) {
			if((Math.sqrt(szam) % 1) == 0) {
				db++;
			}
		}
		
		return db;
	}
	
	
	
	private static double mertaniAtlag(int[] tomb) {
		double mean = 1;
		
		for (double item : tomb) {
			mean *= item;
		}
		
		return Math.pow(mean, 1.0/(double)tomb.length);
	}
	
	

}
