package datumos;

import java.time.LocalDate;

public class Alkalmazott {
	private String name;
	private int payment;
	private static int ageLimit = 65;
	private LocalDate DateofBirth;

	public Alkalmazott(String name, LocalDate DateofBirth, int payment) {
		this.name = name;
		this.DateofBirth = DateofBirth;
		this.payment = payment;
	}

	public int getKor() {
		return java.time.LocalDate.now().getYear() - DateofBirth.getYear();
	}

	public Alkalmazott(String name, LocalDate DateofBirth) {
		this.name = name;
		this.DateofBirth = DateofBirth;
		this.payment = 10000 * getKor();
	}

	public int getEvekNyugdijig() {
		return ageLimit - getKor();
	}

	public String getAdatok() {
		return "Nv:" + name + " Szletsnap: " + this.DateofBirth + " Kor:" + getKor() + " Fizets:" + payment
				+ " Nyugdjig htralv vek:" + getEvekNyugdijig();
	}

	public static void setNyudgijKorhatar(int limit) {
		ageLimit = limit;
	}

	public Alkalmazott getTobbEv(Alkalmazott a1, Alkalmazott a2) {
		if (a1.getEvekNyugdijig() > a2.getEvekNyugdijig())
			return a1;
		else
			return a2;
	}

	public String getHonapnev(int number) {
		String[] months = new String[13];

		months[1] = "Janur";
		months[2] = "Februr";
		months[3] = "Mrcius";
		months[4] = "prilis";
		months[5] = "Mjus";
		months[6] = "Jnius";
		months[7] = "Jlius";
		months[8] = "Augusztus";
		months[9] = "Szeptember";
		months[10] = "Oktber";
		months[11] = "November";
		months[12] = "December";

		return months[number];

	}
}