package myproducts;

public class Bread extends Product {
	private double amount;

	public Bread(String name, int netPrice, int percentage, double amount) {
		super(name, netPrice, percentage);
		this.amount = amount;
	}

	@Override
	public String toString() {
		return super.toString() + " + unitPrice: " + super.getGrossPrice() / this.amount;
	}

	public double getAmount() {
		return amount;
	}

	public static boolean getBreadPriceCompare(Bread b1, Bread b2) {
		if (b1.getGrossPrice() > b2.getGrossPrice())
			return true;

		return false;

	}

}
