package myproducts;

public class Product {
	private String name;
	private int netPrice;
	private int percentage;

	public Product(String name, int netPrice, int percentage) {
		super();
		this.name = name;
		this.netPrice = netPrice;
		this.percentage = percentage;
	}

	public int getGrossPrice() {
		return Math.round(this.netPrice + (this.netPrice * (this.percentage / 100)));
	}

	@Override
	public String toString() {
		return "Product [name=" + name + ", grossPrice=" + getGrossPrice() + "]";
	}

	public void netPriceIncrease(int percentage) {
		this.netPrice = this.netPrice + (this.netPrice * (percentage / 100));
	}

	public int productCompare(Product other) {
		if (this.netPrice < other.netPrice)
			return 1;
		else if (this.netPrice > other.netPrice)
			return -1;
		else
			return 0;
	}
}