package pont;

import java.awt.Color;

import szines.ISzinezheto;

public class SzinesPont extends Pont implements ISzinezheto {
	private Color szin;

	public SzinesPont() {
		super(0, 0);
		this.szin = ISzinezheto.alapertelmezettSzin;
	}

	public SzinesPont(Color szin) {
		super(0, 0);
		this.szin = szin;
	}

	public SzinesPont(int x, int y, Color szin) {
		super(x, y);
		this.szin = szin;
	}

	@Override
	public String toString() {
		return "SzinesPont [szin=" + szin + "]";
	}

	@Override
	public void setSzin(Color in) {
		this.szin = in;

	}

	@Override
	public Color getSzin() {
		return this.szin;
	}

}
