package mypackage;

public class UniEmployee extends Employee {
	private Position position;
	private static int basesalary = 500000;
	
	//Példányszintű adattag értéke másik példányszintű adattag értékétől függ
	//Itt: a fizetés a beosztástól függ
	public UniEmployee(String name, int age, String workplace, Position position) {
		super(name, age, workplace, 0);
		this.position = position;
	
		switch(position) {
			case PROF : setSalary(basesalary); break;
			case OKTATO : setSalary(basesalary*50/100); break; 
			case ADMIN : setSalary(basesalary*30/100); break;
		}
	}

	public Position getPosition() {
		return position;
	}

	public void setPosition(Position position) {
		this.position = position;
	}
	
	public static int getBasesalary() {
		return basesalary;
	}

	public static void setBasesalary(int basesalary) {
		UniEmployee.basesalary = basesalary;
	}

	@Override
	public String toString() {
		return "UniEmployee [position=" + position + ", toString()=" + super.toString() + "]";
	}
	
}
